Bug 244282 - [PATCH] security/heimdal fix build failure, missing build dependency
Summary: [PATCH] security/heimdal fix build failure, missing build dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 14:23 UTC by Andrej Ebert
Modified: 2020-02-23 14:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
svn diff (507 bytes, patch)
2020-02-21 14:23 UTC, Andrej Ebert
no flags Details | Diff
svn diff (1.51 KB, patch)
2020-02-21 14:28 UTC, Andrej Ebert
no flags Details | Diff
poudriere-portlint log (495 bytes, text/plain)
2020-02-21 23:16 UTC, Andrej Ebert
no flags Details
poudriere log (102.62 KB, application/gzip)
2020-02-21 23:19 UTC, Andrej Ebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2020-02-21 14:23:26 UTC
Created attachment 211800 [details]
svn diff

security/heimdal failed to build on my FreeBSD 12.0-STABLE #0 r350634

with 

---
hdb-mitdb.c:1119:27: error: expected ';' at end of declaration
MITDB **mdb (MITDB **)db;
---

I found the following issue reported upstream for OSX and the fix helped:

https://github.com/heimdal/heimdal/issues/624

Next, I ran into a missing converters/p5-JSON dependency (for build).

Both of these I fixed in the attached patch and it sucessfully builds on my system.
Comment 1 Andrej Ebert 2020-02-21 14:28:55 UTC
Created attachment 211801 [details]
svn diff

missed the patch in the first diff
Comment 2 Andrej Ebert 2020-02-21 23:16:25 UTC
Created attachment 211811 [details]
poudriere-portlint log
Comment 3 Andrej Ebert 2020-02-21 23:19:27 UTC
Created attachment 211812 [details]
poudriere log
Comment 4 VVD 2020-02-22 00:59:01 UTC
(In reply to Andrej Ebert from comment #0)
Same here.

The patch https://bugs.freebsd.org/bugzilla/attachment.cgi?id=211801&action=diff fixed build.

12.1 amd64.
Comment 5 commit-hook freebsd_committer 2020-02-23 14:58:25 UTC
A commit references this bug:

Author: hrs
Date: Sun Feb 23 14:57:36 UTC 2020
New revision: 526922
URL: https://svnweb.freebsd.org/changeset/ports/526922

Log:
  - Fix build when !BDB.
  - Regenerate patches.

  PR:	244282

Changes:
  head/security/heimdal/Makefile
  head/security/heimdal/files/patch-appl-test-Makefile.in
  head/security/heimdal/files/patch-cf-make-proto.pl
  head/security/heimdal/files/patch-configure
  head/security/heimdal/files/patch-doc__Makefile.in
  head/security/heimdal/files/patch-kadmin-Makefile.in
  head/security/heimdal/files/patch-kdc-Makefile.in
  head/security/heimdal/files/patch-kpasswd-Makefile.in
  head/security/heimdal/files/patch-kuser-Makefile.in
  head/security/heimdal/files/patch-lib-base-Makefile.in
  head/security/heimdal/files/patch-lib-gssapi-Makefile.in
  head/security/heimdal/files/patch-lib-hdb-Makefile.in
  head/security/heimdal/files/patch-lib-hdb-hdb-mitdb.c
  head/security/heimdal/files/patch-lib-hx509-Makefile.in
  head/security/heimdal/files/patch-lib-kadm5-Makefile.in
  head/security/heimdal/files/patch-lib-roken-Makefile.in
Comment 6 Hiroki Sato freebsd_committer 2020-02-23 14:58:52 UTC
Fixed.  Thank you for your report.